[package]
name = "cbd-storage"
version = "0.1.0"
edition = "2021"
description = "CBD Enterprise Storage Engine with RocksDB"
license = "MIT"

[dependencies]
cbd-core = { path = "../cbd-core" }
tokio = { workspace = true }
serde = { workspace = true }
serde_json = { workspace = true }
uuid = { workspace = true }
anyhow = { workspace = true }
thiserror = { workspace = true }
tracing = { workspace = true }
async-trait = { workspace = true }
rocksdb = { workspace = true }
ring = { workspace = true }

[dev-dependencies]
tempfile = "3.0"
tokio-test = "0.4"
